# EVTinyMCEImagePicker
========================

## About
Allows you to add an image insert tool in TinyMCE that pulls images from your image tabs.

General features include image resize options during insert as well as alignment options.

Based on Tom's REBA plugin and extended by Rick.

## Setup
There are quite a few steps for setting up this plugin to enable images in the TinyMce editor, but they are very straight forward:

1) Make sure that your model has an image association, this can be any named image slot e.g.

	public $imageSlots = array(
		'main' => array(
			'slots' => -1,
			'fields' => array(
				'alt'
			)
		),
	);

2) Inside your controller add the following to your $components array

    'EvTinyMceImage.TinyMCE' => [
		'model_alias' => 'SupportBlogPost'
	],

Where `model_alias` is the alias of the model.

3) Look for the `$.fn.wysiwygEditor.defaults` array in your `admin_form.js` file and make the following changes:

Add evoluted_image to the "external_plugins" key or set it like so -

	'external_plugins': {
	    'evoluted_image': '/ev_tiny_mce_image/js/plugin.min.js'
	},


Add `evoluted_image` to the "toolbar" key (the button will only show in editors for content that have been configured to use the Component).

Lastly, make sure the img tag and any attributes are allowed by adding `img[*]` to the list of valid elements.

### Image Dimensions

Image dimensions can be assigned and edited in the plugin config file.

	$config = [
		'EvTinyMceImage' => [
			'dimensions' => [
				'height' => 500,
				'width' => 500
			]
		]
	];
