<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css" rel="stylesheet" integrity="sha256-MfvZlkHCEqatNoGiOXveE8FIwMzZg4W85qfrfIFBfYc= sha512-dTfge/zgoMYpP7QbHy4gWMEGsbsdZeCXz7irItjcC3sPUFtf0kuFbDz/ixG7ArTxmDjLXDmezHubeNikyKGVyQ==" crossorigin="anonymous">

<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha256-k2/8zcNbxVIh5mnQ52A0r3a6jAgMGxFJFE2707UxGCk= sha512-ZV9KawG2Legkwp3nAlxLIVFudTauWuBpC10uEafMHYL0Sarrz5A7G79kXh5+5+woxQ5HM559XX2UZjMJ36Wplg==" crossorigin="anonymous">

<style>
body {
	background: #ffffff !important;
}

.alert {
	margin-bottom: 0px;
}

.select-image-wrapper {
	overflow-y: scroll;
	max-height: 412px;
}

.select-image-wrapper .admin-image-picker {
	margin:10px;
	border:3px solid white;
	outline:2px solid #cccccc;
	width: 100%;
	height: auto;
	display:block;
	opacity:0.8;
	transition: all 250ms ease-in-out;
}
.select-image-wrapper .admin-image-picker:hover {
	opacity:1;
	outline: 2px solid #9FCE8C;
	cursor:pointer;
	transition: all 250ms ease-in-out;
}

.select-image-wrapper .admin-image-picker.active {
	outline-color: #00A5E7;
	transition: all 250ms ease-in-out;
	opacity: 1;
}

.no-rounding {
	border-radius: 0px;
}

.form-footer {
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	padding: 10px;
	background: rgba(0,0,0,0.05);
	border-top: 1px solid rgba(0,0,0,0.08);
}

.img-form {
	position: fixed;
	bottom: 35px;
	left: 0;
	right: 0;
	padding: 10px;
	background: rgba(0,0,0,0.02);
	border-top: 1px solid rgba(0,0,0,0.06);
}

.form-group {
	margin-bottom: 10px !important;
}

img {
	background-image: url('/ev_tiny_mce_image/img/loader.gif');
	width: 100%;
	min-height: 120px;
}

.dimensions-notice {
	margin: 0 !important;
	padding-bottom: 15px;
	padding-top: 15px;
}

</style>
<div class="alert alert-success no-rounding">To add images to this section, upload them into any image section displayed on the page and save.</div>
<div class="container-fluid select-image-wrapper">
	<div class="row">
		<div class="col-xs-12">
			<?php
				$dimensionsNotice = 'If no image width dimension is defined, the image will automatically be resized to';

				if (isset($imageDimensions['width'])):
					$dimensionsNotice .= ' ' . $imageDimensions['width'] . 'px wide';
				endif;

				if (isset($imageDimensions['height'])):
					$dimensionsNotice .= ' ' . $imageDimensions['height'] . 'px tall';
				endif;

				$dimensionsNotice .= '.';
			?>
			<p class="dimensions-notice"><?= $dimensionsNotice ?></p>
		</div>
	</div>
	<div class="row">
		<?php foreach ($images as $image) : ?>
			<div class="col-xs-3">
				<?php
				// build the options array depending on what data the image has
				$options = [
					'class'=> 'admin-image-picker',
					'data-image-id' => $image['Image']['id'],
					'style' => 'margin-left:auto;margin-right:auto;display:block;'
				];

				$dimensions = [
					'width' => 450,
					'height' => 450,
					'crop' => true,
				];

				echo $this->Img->resize($image['Image'], $dimensions, $options);
				?>

			</div>
		<?php endforeach; ?>
	</div>
</div>

<form action="#" method="get" class="form-inline img-form">
	<div class="col-xs-4">
		<div class="form-group">
			<label for="imgWidth" class="sr-only">Width</label>
			<input type="text" name="imgWidth" id="imgWidth" class="form-control" placeholder="Width">
		</div>
	</div>
	<div class="col-xs-4">
		<div class="form-group">
			<label for="imgHeight" class="sr-only">Height</label>
			<input type="text" name="imgHeight" id="imgHeight" class="form-control" placeholder="Height (optional)">
		</div>
	</div>

	<div class="col-xs-4">
		<div class="form-group">
			<label for="imgHeight" class="sr-only">Alignment</label>
			<select name="imgAlign" id="imgAlign" class="form-control" placeholder="Alignment">
				<option value="" disabled selected>Image Alignment</option>
				<option value="left">Left</option>
				<option value="center">Centre</option>
				<option value="right">Right</option>
			</select>
		</div>
	</div>
</form>

<div class="form-footer">
	<div class="row">
		<div class="col-xs-6 text-left">
			<button name="closeWindow" id="closeWindow" class="btn btn-danger">
				<i class="fa fa-times-circle"></i> Cancel
			</button>
		</div>
		<div class="col-xs-6 text-right">
			<button name="insertImage" id="insertImage" class="btn btn-success">
				Insert Image <i class="fa fa-chevron-circle-right"></i>
			</button>
		</div>
	</div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js" integrity="sha256-Sk3nkD6mLTMOF0EOpNtsIry+s1CsaqQC1rVLTAy+0yc= sha512-K1qjQ+NcF2TYO/eI3M6v8EiNYZfA95pQumfvcVrTHtwQVDG+aHRqLi/ETn2uB+1JqwYqVG3LIvdm9lj6imS/pQ==" crossorigin="anonymous"></script>

<script>
	$(function() {
		var image_id = 0;
		var ed = parent.tinymce.editors[0];
		var alignment = '';

		// assign the dimensions, when assigned in the plugin config
		var height = <?= isset($imageDimensions['height']) ? $imageDimensions['height'] : '0' ?>;
		var width = <?= isset($imageDimensions['width']) ? $imageDimensions['width'] : '0' ?>;

		$('img').click(function() {

			image_id = $(this).data('image-id');

			$('img').removeClass('active');
			$(this).addClass('active');
		});

		$('#insertImage').on('click', function() {
			// Determine the active editor to work with.
			var activeEditor = parent.tinymce.activeEditor;

			alignment = $('#imgAlign').val();

			if (
				typeof $('#imgWidth') != 'undefined' &&
				$('#imgWidth').val() != ''
			) {
				width = parseInt($('#imgWidth').val());
			}

			if (
				typeof $('#imgHeight') != 'undefined' &&
				$('#imgHeight').val() != ''
			) {
				height = parseInt($('#imgHeight').val());
			}

			// Generate the image URL and double up the requested size for retina support
			image_url = '/images/get_image/' + image_id;

			if (width > 0) {
				image_url += '/' + (width*2);
			}

			if (height > 0) {
				image_url += '/' + (height*2);
			}

			image_html = '<img src="' + image_url + '"';

			if (width > 0) {
				image_html += ' width="' + width + '"';
			}
			if (height > 0) {
				image_html += ' height="' + height + '"';
			}

			if (alignment != null) {
				image_html += ' align="' + alignment + '"';
			}

			// automatically assign the img-responsive Bootstrap class
			image_html += ' class="img-responsive"';

			image_html += '>';

			activeEditor.selection.setContent(image_html);
			activeEditor.windowManager.windows[0].close();
		});

		$('#closeWindow').on('click', function() {
			parent.tinymce.activeEditor.windowManager.windows[0].close();
		});
	});
</script>


